pcl::PXCGrabber Class Reference
Module io

Grabber for PXC devices. More...

`#include <pcl/io/pxc_grabber.h>`

Inheritance diagram for pcl::PXCGrabber:

## Public Types

enum | Mode { PXC_Default_Mode = 0 }
| Supported modes for grabbing from a PXC device. More...
typedef void( | sig_cb_pxc_point_cloud) (const boost::shared_ptr< const pcl::PointCloud< pcl::PointXYZ > > &)
typedef void( | sig_cb_pxc_point_cloud_rgb) (const boost::shared_ptr< const pcl::PointCloud< pcl::PointXYZRGB > > &)
typedef void( | sig_cb_pxc_point_cloud_rgba) (const boost::shared_ptr< const pcl::PointCloud< pcl::PointXYZRGBA > > &)
typedef void( | sig_cb_pxc_point_cloud_i) (const boost::shared_ptr< const pcl::PointCloud< pcl::PointXYZI > > &)

## Public Member Functions

| PXCGrabber ()
| Constructor. More...
virtual | ~PXCGrabber () throw ()
| virtual Destructor inherited from the Grabber interface. More...
virtual void | start ()
| Start the data acquisition. More...
virtual void | stop ()
| Stop the data acquisition. More...
virtual bool | isRunning () const
| Check if the data acquisition is still running. More...
virtual std::string | getName () const
| Returns the name of the grabber. More...
virtual float | getFramesPerSecond () const
| Obtain the number of frames per second (FPS). More...
Public Member Functions inherited from pcl::Grabber
| Grabber ()
| Constructor. More...
virtual | ~Grabber () throw ()
| virtual desctructor. More...
template<typename T >
boost::signals2::connection | registerCallback (const boost::function< T > &callback)
| registers a callback function/method to a signal with the corresponding signature More...
template<typename T >
bool | providesCallback () const
| indicates whether a signal with given parameter-type exists or not More...

## Protected Member Functions

bool | init ()
| Initializes the PXC grabber and the grabbing pipeline. More...
void | close ()
| Closes the grabbing pipeline. More...
void | processGrabbing ()
| Continously asks for data from the device and publishes it if available. More...
Protected Member Functions inherited from pcl::Grabber
virtual void | signalsChanged ()
template<typename T >
boost::signals2::signal< T > * | find_signal () const
template<typename T >
int | num_slots () const
template<typename T >
void | disconnect_all_slots ()
template<typename T >
void | block_signal ()
template<typename T >
void | unblock_signal ()
void | block_signals ()
void | unblock_signals ()
template<typename T >
boost::signals2::signal< T > * | createSignal ()

## Protected Attributes

boost::signals2::signal< sig_cb_pxc_point_cloud > * | point_cloud_signal_
boost::signals2::signal< sig_cb_pxc_point_cloud_rgb > * | point_cloud_rgb_signal_
boost::signals2::signal< sig_cb_pxc_point_cloud_rgba > * | point_cloud_rgba_signal_
UtilPipeline | pp_
bool | running_
float | fps_
boost::mutex | fps_mutex_
boost::thread | grabber_thread_
Protected Attributes inherited from pcl::Grabber
std::map< std::string, boost::signals2::signal_base * > | signals_
std::map< std::string, std::vector< boost::signals2::connection > > | connections_
std::map< std::string, std::vector< boost::signals2::shared_connection_block > > | shared_connections_

## Detailed Description

Grabber for PXC devices.

Author
  Stefan Holzer holze.nosp@m.rs@i.nosp@m.n.tum.nosp@m..de

Definition at line 78 of file pxc_grabber.h.

## Member Typedef Documentation

typedef void( pcl::PXCGrabber::sig_cb_pxc_point_cloud) (const boost::shared_ptr< const pcl::PointCloud< pcl::PointXYZ > > &)

Definition at line 89 of file pxc_grabber.h.

typedef void( pcl::PXCGrabber::sig_cb_pxc_point_cloud_i) (const boost::shared_ptr< const pcl::PointCloud< pcl::PointXYZI > > &)

Definition at line 92 of file pxc_grabber.h.

typedef void( pcl::PXCGrabber::sig_cb_pxc_point_cloud_rgb) (const boost::shared_ptr< const pcl::PointCloud< pcl::PointXYZRGB > > &)

Definition at line 90 of file pxc_grabber.h.

typedef void( pcl::PXCGrabber::sig_cb_pxc_point_cloud_rgba) (const boost::shared_ptr< const pcl::PointCloud< pcl::PointXYZRGBA > > &)

Definition at line 91 of file pxc_grabber.h.

## Member Enumeration Documentation

enum pcl::PXCGrabber::Mode

Supported modes for grabbing from a PXC device.

Enumerator
PXC_Default_Mode |

Definition at line 83 of file pxc_grabber.h.

## Constructor & Destructor Documentation

pcl::PXCGrabber::PXCGrabber | ( |  | ) |

Constructor.

virtual pcl::PXCGrabber::~PXCGrabber | ( |  | ) |
throw | ( |
| ) |  |

virtual

virtual Destructor inherited from the Grabber interface.

It never throws.

## Member Function Documentation

void pcl::PXCGrabber::close | ( |  | ) |

protected

Closes the grabbing pipeline.

virtual float pcl::PXCGrabber::getFramesPerSecond | ( |  | ) | const

virtual

Obtain the number of frames per second (FPS).

Implements pcl::Grabber.

virtual std::string pcl::PXCGrabber::getName | ( |  | ) | const

virtual

Returns the name of the grabber.

Implements pcl::Grabber.

bool pcl::PXCGrabber::init | ( |  | ) |

protected

Initializes the PXC grabber and the grabbing pipeline.

virtual bool pcl::PXCGrabber::isRunning | ( |  | ) | const

virtual

Check if the data acquisition is still running.

Implements pcl::Grabber.

void pcl::PXCGrabber::processGrabbing | ( |  | ) |

protected

Continously asks for data from the device and publishes it if available.

virtual void pcl::PXCGrabber::start | ( |  | ) |

virtual

Start the data acquisition.

Implements pcl::Grabber.

virtual void pcl::PXCGrabber::stop | ( |  | ) |

virtual

Stop the data acquisition.

Implements pcl::Grabber.

## Member Data Documentation

float pcl::PXCGrabber::fps_

mutable protected

Definition at line 148 of file pxc_grabber.h.

boost::mutex pcl::PXCGrabber::fps_mutex_

mutable protected

Definition at line 149 of file pxc_grabber.h.

boost::thread pcl::PXCGrabber::grabber_thread_

protected

Definition at line 152 of file pxc_grabber.h.

boost::signals2::signal<sig_cb_pxc_point_cloud_rgb>* pcl::PXCGrabber::point_cloud_rgb_signal_

protected

Definition at line 138 of file pxc_grabber.h.

boost::signals2::signal<sig_cb_pxc_point_cloud_rgba>* pcl::PXCGrabber::point_cloud_rgba_signal_

protected

Definition at line 139 of file pxc_grabber.h.

boost::signals2::signal<sig_cb_pxc_point_cloud>* pcl::PXCGrabber::point_cloud_signal_

protected

Definition at line 136 of file pxc_grabber.h.

UtilPipeline pcl::PXCGrabber::pp_

protected

Definition at line 143 of file pxc_grabber.h.

bool pcl::PXCGrabber::running_

protected

Definition at line 145 of file pxc_grabber.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/io/include/pcl/io/pxc_grabber.h